#include "summe.h"
#include <iostream>
#include <vector>

int main() {
  /* const int N = 4;
  const float daten[N] = {1.0f,2.0f,3.0f,4.0f};
  float summe = berechneSumme(daten,N);
  printf("Summe = %f\n", summe); */
  string name;
  int anzahlSummanten;
  int hilfvar;
  vector<int> summanten;
  cout << "Was ist dein Name?" << endl;
  cin >> name;
  cout << "Hallo " << name << ", Wie viele Zahlen willst du addieren?" << endl;
  cin >> anzahlSummanten;
  for (int i = 0; i < anzahlSummanten; i++) {
    cout << "Der " << i + 1 << ". Summant ist:" << endl;
    cin >> hilfvar;
    summanten.push_back(hilfvar);
  }
  cout << name << ", die Summe ist: " << berechneSumme(summanten) << endl;
    cout << "Auf Wiedersehen " << name << endl;
}
